cURL
curl --request GET \
--url https://api.poddata.ai/v1/trackers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poddata.ai/v1/trackers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poddata.ai/v1/trackers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/trackers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/trackers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.poddata.ai/v1/trackers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/trackers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"sentence": "<string>",
"spec": {
"version": 1,
"people": [
{
"name": "<string>",
"id": "<string>"
}
],
"kinds": [
"founder"
],
"companies": [
{
"name": "<string>",
"id": "<string>"
}
],
"shows": [
"<string>"
],
"topics": [
"<string>"
],
"test": "<string>",
"must": [
"<string>"
],
"exclude": [
"<string>"
],
"speaker_only": true,
"include_unconfirmed": true,
"documents": true,
"posts": true,
"events": "include",
"live": true,
"lists": [
"<string>"
],
"named": [
{
"name": "<string>",
"id": "<string>"
}
],
"tickers": [
"<string>"
],
"claims": [
"forecast"
]
},
"status": "active",
"email": "each",
"slack": true,
"msteams": "each",
"recipients": [
"jsmith@example.com"
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"last_match": "2023-11-07T05:31:56Z",
"matches": {
"total": 123,
"week": 123,
"good": 123,
"not_this": 123
},
"paused": {
"at": "2023-11-07T05:31:56Z",
"reason": "owner",
"list": "<string>"
},
"lists": [
{
"id": "<string>",
"name": "<string>",
"deleted": true
}
]
}
],
"next": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Trackers
Get trackers
GET
/
trackers
cURL
curl --request GET \
--url https://api.poddata.ai/v1/trackers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poddata.ai/v1/trackers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poddata.ai/v1/trackers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/trackers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/trackers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.poddata.ai/v1/trackers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/trackers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"sentence": "<string>",
"spec": {
"version": 1,
"people": [
{
"name": "<string>",
"id": "<string>"
}
],
"kinds": [
"founder"
],
"companies": [
{
"name": "<string>",
"id": "<string>"
}
],
"shows": [
"<string>"
],
"topics": [
"<string>"
],
"test": "<string>",
"must": [
"<string>"
],
"exclude": [
"<string>"
],
"speaker_only": true,
"include_unconfirmed": true,
"documents": true,
"posts": true,
"events": "include",
"live": true,
"lists": [
"<string>"
],
"named": [
{
"name": "<string>",
"id": "<string>"
}
],
"tickers": [
"<string>"
],
"claims": [
"forecast"
]
},
"status": "active",
"email": "each",
"slack": true,
"msteams": "each",
"recipients": [
"jsmith@example.com"
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"last_match": "2023-11-07T05:31:56Z",
"matches": {
"total": 123,
"week": 123,
"good": 123,
"not_this": 123
},
"paused": {
"at": "2023-11-07T05:31:56Z",
"reason": "owner",
"list": "<string>"
},
"lists": [
{
"id": "<string>",
"name": "<string>",
"deleted": true
}
]
}
],
"next": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}